## Function template format_named_scope

boost::log::expressions::format_named_scope

## Synopsis

    // In header: <boost/log/expressions/formatters/named_scope.hpp>

    template<typename T, typename FallbackPolicyT, typename TagT,
             template< typename > class ActorT, typename CharT>
      format_named_scope_actor< FallbackPolicyT, CharT, ActorT >
      format_named_scope(attribute_actor< T, FallbackPolicyT, TagT, ActorT > const & placeholder,
                         std::basic_string< CharT > const & element_format);

## Description

The function generates a manipulator node in a template expression. The manipulator must participate in a formatting expression (stream output or `format` placeholder filler).

Parameters: |
`element_format` | Format string for a single named scope
`placeholder` | Attribute placeholder